Upgrade sa CentOS6U7 na CentOS7

Preći sa CentOS 6U6 na CentOS 6U7 nije neki problem, ali preći na CentOS 7 jeste.
Šta treba uraditi pre svega :
# yum update
Tu se vidi ako neki od paketa imaju problem (kod mene su to Thunderbird i Calibre) i taj deo uraditi ručno.
# yum –skip-broken update
Videti moj raniji post.
# more /etc/redhat-release
CentOS release 6.7 (Final)
6U7 je poslednji U za verziju 6, dalje nema, nego se ide na 7.
neki dobri linkovi : link1, link2
Calibre upgarde
Prvo vidim kao šta je imam :
# rpm -qa|grep calibre
calibre-0.6.42-2.el6.R.x86_64
Pa to onda odinstaliram (pošto je zbilja stara verzija) :
# rpm -e calibre-0.6.42-2.el6.R.x86_64
I onda instaliram novu (uputstvo sa Calibre sajta – link) :
# export http_proxy=”http://10.10.10.94:8080″
# export ftp_proxy=”http://10.10.10.94:8080″
# export https_proxy=”http://10.10.10.94:8080″
# wget -nv -O- https://raw.githubusercontent.com/kovidgoyal/calibre/master/setup/linux-installer.py | sudo python -c “import sys; main=lambda:sys.stderr.write(‘Download failed\n’); exec(sys.stdin.read()); main()”
Thunderbird update
Tu sam imala problem zbog Add-on-a Thunderbird-Lighntning. Nije bilo dovoljno samo da ga Disable-ujem, morala sam skroz da ga odinstaliram da bi se update izvršio.
————————————-
I kada pustim program za proveru upgrade-a, dobijam sledeći rezultat :
# preupg
…..
|Configuration Files to Review |needs_inspection|
|File Lists for Manual Migration |needs_inspection|
|httpd configuration compatibility check |needs_inspection|
|Binary rebuilds |needs_inspection|
|Foreign Perl modules |needs_inspection|
|Python 2.7.5 |needs_inspection|
|Check for usage of dangerous range of UID/GIDs |needs_inspection|
|KDE Desktop Environment underwent several design modifications in CentOS 7 release |needs_action|
|Packages not signed by CentOS |needs_action|
|Obsoleted rpms |needs_action|
|Removed rpms |needs_action|
|General |needs_action|
|Sonamebumped libs |needs_action|
|Content for enabling and disabling services based on CentOS 6 system |needs_action|
|cgroups configuration compatibility check |needs_action|
|GNOME Desktop Environment underwent several design modifications in CentOS 7 release |fail|
|VCS repositories |error|
…..

Comments are closed.